As you may recall, ECL now ships a module :ecl-quicklisp that installs and loads quicklisp. I made several changes to it:

* If quicklisp has already been loaded, ECL will not reload it.

* (require :ecl-quicklisp) installs quicklisp on different locations depending on the port. For Windows, the destination is the directory where ECL is installed. For all other platforms, quicklisp will be installed in its default location at the home directory.

* When (require :ecl-quicklisp) succeeds, REQUIRE starts understanding quicklisp packages. Thus, the following works

(require :ecl-quicklisp)
(require :cl-ppcre)

Hope this will be as useful to you as it is to me right now.

Juanjo

--
Instituto de Física Fundamental, CSIC
c/ Serrano, 113b, Madrid 28006 (Spain) 
http://juanjose.garciaripoll.googlepages.com